//var is mutable reference, val is immutable reference
//prefer val as much as possible.

val str = "hello"

println(str)

//str = "howdy"  // compilation error if you uncomment the assignment

var str2 = "hello"
println(str2)
str2 = "howdy there"
println(str2)